package com.college.data.mapper

import com.college.data.table.RoleIdTable
import com.college.data.table.UserUuidTable
import com.college.domain.model.Role
import com.college.domain.model.User
import org.jetbrains.exposed.sql.ResultRow

fun resultRowToRole(result: ResultRow): Role {
    return Role(
        id = result[RoleIdTable.id].value,
        name = result[RoleIdTable.role]
    )
}

fun resultRowToUser(result: ResultRow):User {
    return User(
        uuid = result[UserUuidTable.id].value,
        login = result[UserUuidTable.login],
        password = result[UserUuidTable.password],
    )
}

fun resultRowToUserWithJoinRole(result: ResultRow):User{
    return User(
        uuid = result[UserUuidTable.id].value,
        login = result[UserUuidTable.login],
        password = result[UserUuidTable.password],
        role = Role (
            result[RoleIdTable.id].value,
            result[RoleIdTable.role]
        )
    )
}