package com.college.data.repositorty

import com.college.domain.model.User
import com.college.domain.request.UserCreateRequest
import java.util.UUID

interface UserRepository {
    suspend fun getUserByUuid(userUuid: UUID): User?
    suspend fun removeUserByUuid(userUuid: UUID): Boolean
    suspend fun addUser(userCreateRequest: UserCreateRequest): User
    suspend fun getAllUsers(): List<User>?
    suspend fun updateUser(userUuid: UUID, updatedUser: User): Boolean
}